Package: groovy.org.codenarc.rule

## [Groovy] Class Violation

- groovy.org.codenarc.rule.Violation

- Represents a single instance of a rule violation

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Integer` | `lineNumber`
    `String` | `message`
    `Rule` | `rule`
    `String` | `sourceLine`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### Integer lineNumber

    - #### String message

    - #### Rule rule

    - #### String sourceLine

  - ### Method Detail

    - #### String toString()